org.apache.ignite.internal.processors.cache.persistence.tree

## Interface BPlusTree.TreeRowClosure<L,T extends L>

All Known Subinterfaces:
  MvccTreeClosure

All Known Implementing Classes:
  MvccFirstRowTreeClosure, MvccSnapshotSearchRow

Enclosing class:
  BPlusTree<L,T extends L>

    public static interface BPlusTree.TreeRowClosure<L,T extends L>

A generic visitor-style interface for performing filtering/modifications/miscellaneous operations on the tree.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `apply(BPlusTree<L,T> tree, BPlusIO<L> io, long pageAddr, int idx)` Performs inspection or operation on a specified row and returns true if this row is required or matches or /operation successful (depending on the context).

### Method Detail

#### apply

    boolean apply(BPlusTree<L,T> tree,
                  BPlusIO<L> io,
                  long pageAddr,
                  int idx)
           throws IgniteCheckedException

Performs inspection or operation on a specified row and returns true if this row is required or matches or /operation successful (depending on the context).

Parameters:
  `tree` - The tree.
  `io` - Th tree IO object.
  `pageAddr` - The page address.
  `idx` - The item index.
Returns:
  `True` if the item passes the predicate.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020